<script>
    import axios from 'axios';
    import Header from '../components/Header.vue';
    export default {
        name: "Login",
        data() {
            return {
                user: {
                    login: "",
                    password: ""
                }
            };
        },
        methods: {
            login() {
                axios
                    .post("https://freefakeapi.io/authapi/login", {
                        username: this.user.login,
                        password: this.user.password
                    })
                    .then(response => (this.user = response.data))
                    .then(response => {

                        sessionStorage.setItem('token', response.token);
                    })
                console.log(this.user);
            }
        },
        components: {
            Header
        }
    }
</script>

<template>
    <Header />
    <div class="form">
        <h2>Connexion</h2>
        <form @submit.prevent="login" method="POST">
            <div class="form-group">
                <label for="user-login">Nom</label>
                <input type="text" id="user-login" v-model="user.login">
            </div>
            <div class="form-group">
                <label for="user-password">Mot de passe</label>
                <input type="text" id="user-password" v-model="user.password">
            </div>
            <div class="form-group">
                <button type="submit" class="button">Connexion</button>
            </div>
        </form>
    </div>
</template>

<style lang="scss">

</style>